<?xml version="1.0" encoding="utf-8"?>
<!--
Developed be Ed Kuwalek - IIC Technologies Inc - Oct-04-2013

This Schematron schema implements tests required
to ensure conformance of IHO S-100 based dataset metadata
instances with IHO S-100 metadata profile of ISO 19115.

These tests are intended to be used in addition to validating
dataset metadata instances using the ISO 19139 schema.

Currently only the mandatory tests were developed however,
it would be prudent to develop additional tests to ensure all 
elements are fully tested beyond what is possible to do using 
the ISO 19139 schema. This includes validation of string values,
codelist values, co-constrains etc.
-->
 
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron">

  <!--Each namespace used in metadata instance documents should 
    be declared in this schema.-->

  <sch:ns uri="http://www.isotc211.org/2005/gmd" prefix="gmd"/>
  <sch:ns uri="http://www.isotc211.org/2005/gco" prefix="gco"/>
  <sch:ns uri="http://www.isotc211.org/2005/gts" prefix="gts"/>
  <sch:ns uri="http://www.isotc211.org/2005/gss" prefix="gss"/>
  <sch:ns uri="http://www.isotc211.org/2005/gsr" prefix="gsr"/>
  <sch:ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
  <sch:ns uri="http://www.w3.org/1999/xlink" prefix="xlink"/>
  <sch:ns uri="http://www.opengis.net/gml" prefix="gml"/>
 
 
  <sch:title>S-100 Dataset Metadata Validation Rules</sch:title>
  
  <!-- The fileIdentifier element must exist and must not be empty.-->
  <sch:pattern id="fileIdentifier-check">
    <sch:rule context="gmd:MD_Metadata">
      <sch:assert test="gmd:fileIdentifier">
        Mandatory fileIdentifier element was not found - ensure it exists and has a valid value.
      </sch:assert>
    </sch:rule>
    <sch:rule context="gmd:fileIdentifier">
      <sch:assert test="normalize-space(.)">
        Empty fileIdentifier element was found - ensure it has a valid value.
      </sch:assert>
    </sch:rule>  </sch:pattern>
</sch:schema>
